Microscopic Traffic Simulator

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Properties | List of all members
Microscopic_Traffic_Simulator.ViewModels.ParametersViewModel Class Reference

Class representing view model of parameters view. More...

Inheritance diagram for Microscopic_Traffic_Simulator.ViewModels.ParametersViewModel:

## Classes
class | ParametersMessage
| Message sending the parameters to use in the simulation.

## Public Member Functions
| ParametersViewModel (Messenger messenger, ISettings settings, IInteractions interactions)
| Constructor to parameters view model. More...
void | Initialize ()
| Initialize parameters view model by getting last used or default parameters. More...
Public Member Functions inherited from Microscopic_Traffic_Simulator.ViewModels.ViewModelBase
void | VerifyPropertyName (string propertyName)
| Warns the developer if this object does not have a public property with the specified name. This method does not exist in a Release build. More...
void | Dispose ()
| Invoked when this object is being removed from the application and will be subject to garbage collection. More...

## Properties
string | LastUsedParametersFileName`[get]`
| Name of the last used parameters file. More...
double | P1_CellLength`[get, set]`
| Cell length parameter. More...
TimeSpan | P2_SimulationStepInterval`[get, set]`
| Cell length parameter. More...
double | P5_LowSpeedDecProbability`[get, set]`
| Low speed deceleration probability. More...
int | P6_DecProbabilitySpeedBound`[get, set]`
| Threshold speed for the p5 and p8. More...
double | P7_AccelerationProbability`[get, set]`
| Acceleration probability. More...
double | P8_HighSpeedDecProbability`[get, set]`
| High speed deceleration probability. More...
double | P9_DecRateWhenLeadingAcc`[get, set]`
| Deceleration rate when leading vehicle accelerates. More...
double | P10_DecRateWhenLeadingDec`[get, set]`
| Deceleration rate when leading vehicle decelerates. More...
ICommand | DefaultCommand`[get]`
| Command for default settings. More...
ICommand | ImportCommand`[get]`
| Command for import the parameters. More...
ICommand | ExportCommand`[get]`
| Command for export of the parameters. More...
ICommand | OkCommand`[get]`
| Command for confirming parameters. More...
Properties inherited from Microscopic_Traffic_Simulator.ViewModels.ViewModelBase
virtual bool | ThrowOnInvalidPropertyName`[get]`
| Returns whether an exception is thrown, or if a Debug.Fail() is used when an invalid property name is passed to the VerifyPropertyName method. The default value is false, but subclasses used by unit tests might override this property's getter to return true. More...

## Additional Inherited Members
Protected Member Functions inherited from Microscopic_Traffic_Simulator.ViewModels.ViewModelBase
| ViewModelBase ()
| Create viewmodel base. More...
virtual void | OnPropertyChanged (string propertyName)
| Raises this object's PropertyChanged event. More...
virtual void | OnDispose ()
| Child classes can override this method to perform clean-up logic, such as removing event handlers. More...
Protected Attributes inherited from Microscopic_Traffic_Simulator.ViewModels.ViewModelBase
Messenger | messenger
| Instance of messenger for communicating between view models. More...
Events inherited from Microscopic_Traffic_Simulator.ViewModels.ViewModelBase
PropertyChangedEventHandler | PropertyChanged
| Raised when a property on this object has a new value. More...

## Detailed Description

Class representing view model of parameters view.

Definition at line 13 of file ParametersViewModel.cs.

## Constructor & Destructor Documentation

Microscopic_Traffic_Simulator.ViewModels.ParametersViewModel.ParametersViewModel | ( | Messenger | messenger,
|  | ISettings | settings,
|  | IInteractions | interactions
| ) |  |

Constructor to parameters view model.

Parameters

  messenger | Reference to messenger.
  settings | Reference to settings
  interactions | Reference to interactions.

Definition at line 239 of file ParametersViewModel.cs.

## Member Function Documentation

void Microscopic_Traffic_Simulator.ViewModels.ParametersViewModel.Initialize | ( |  | ) |

Initialize parameters view model by getting last used or default parameters.

Definition at line 249 of file ParametersViewModel.cs.

## Property Documentation

ICommand Microscopic_Traffic_Simulator.ViewModels.ParametersViewModel.DefaultCommand
| get

Command for default settings.

Definition at line 165 of file ParametersViewModel.cs.

ICommand Microscopic_Traffic_Simulator.ViewModels.ParametersViewModel.ExportCommand
| get

Command for export of the parameters.

Definition at line 203 of file ParametersViewModel.cs.

ICommand Microscopic_Traffic_Simulator.ViewModels.ParametersViewModel.ImportCommand
| get

Command for import the parameters.

Definition at line 184 of file ParametersViewModel.cs.

string Microscopic_Traffic_Simulator.ViewModels.ParametersViewModel.LastUsedParametersFileName
| get

Name of the last used parameters file.

Definition at line 39 of file ParametersViewModel.cs.

ICommand Microscopic_Traffic_Simulator.ViewModels.ParametersViewModel.OkCommand
| get

Command for confirming parameters.

Definition at line 222 of file ParametersViewModel.cs.

double Microscopic_Traffic_Simulator.ViewModels.ParametersViewModel.P10_DecRateWhenLeadingDec
| get set

Deceleration rate when leading vehicle decelerates.

Definition at line 148 of file ParametersViewModel.cs.

double Microscopic_Traffic_Simulator.ViewModels.ParametersViewModel.P1_CellLength
| get set

Cell length parameter.

Definition at line 61 of file ParametersViewModel.cs.

TimeSpan Microscopic_Traffic_Simulator.ViewModels.ParametersViewModel.P2_SimulationStepInterval
| get set

Cell length parameter.

Definition at line 70 of file ParametersViewModel.cs.

double Microscopic_Traffic_Simulator.ViewModels.ParametersViewModel.P5_LowSpeedDecProbability
| get set

Low speed deceleration probability.

Definition at line 83 of file ParametersViewModel.cs.

int Microscopic_Traffic_Simulator.ViewModels.ParametersViewModel.P6_DecProbabilitySpeedBound
| get set

Threshold speed for the p5 and p8.

Definition at line 96 of file ParametersViewModel.cs.

double Microscopic_Traffic_Simulator.ViewModels.ParametersViewModel.P7_AccelerationProbability
| get set

Acceleration probability.

Definition at line 109 of file ParametersViewModel.cs.

double Microscopic_Traffic_Simulator.ViewModels.ParametersViewModel.P8_HighSpeedDecProbability
| get set

High speed deceleration probability.

Definition at line 122 of file ParametersViewModel.cs.

double Microscopic_Traffic_Simulator.ViewModels.ParametersViewModel.P9_DecRateWhenLeadingAcc
| get set

Deceleration rate when leading vehicle accelerates.

Definition at line 135 of file ParametersViewModel.cs.

The documentation for this class was generated from the following file:

- Microscopic Traffic Simulator/ViewModels/ParametersViewModel.cs